[kbharti@cube ~]$ oc get servicemonitor -o yaml

apiVersion: v1
items:
- apiVersion: monitoring.coreos.com/v1
  kind: ServiceMonitor
  metadata:
    creationTimestamp: "2022-06-15T13:13:51Z"
    generation: 1
    labels:
      app: jaeger
      app.kubernetes.io/component: elasticsearch
      app.kubernetes.io/instance: test
      app.kubernetes.io/name: elasticsearch
      app.kubernetes.io/part-of: jaeger
      cluster-name: elasticsearch
    name: monitor-elasticsearch-cluster
    namespace: jk-test
    ownerReferences:
    - apiVersion: logging.openshift.io/v1
      controller: true
      kind: Elasticsearch
      name: elasticsearch
      uid: 10fddce3-78ee-41c1-a450-aeb7988edb58
    resourceVersion: "74329"
    uid: 371e82e2-e502-4de5-83b7-c361d9cba296
  spec:
    endpoints:
    - bearerTokenFile: /var/run/secrets/kubernetes.io/serviceaccount/token
      bearerTokenSecret:
        key: ""
      path: /metrics
      port: elasticsearch
      scheme: https
      tlsConfig:
        ca: {}
        caFile: /etc/prometheus/configmaps/serving-certs-ca-bundle/service-ca.crt
        cert: {}
        serverName: elasticsearch-metrics.jk-test.svc
    - bearerTokenFile: /var/run/secrets/kubernetes.io/serviceaccount/token
      bearerTokenSecret:
        key: ""
      path: /_prometheus/metrics
      port: elasticsearch
      scheme: https
      tlsConfig:
        ca: {}
        caFile: /etc/prometheus/configmaps/serving-certs-ca-bundle/service-ca.crt
        cert: {}
        serverName: elasticsearch-metrics.jk-test.svc
    jobLabel: monitor-elasticsearch
    namespaceSelector:
      matchNames:
      - jk-test
    selector:
      matchLabels:
        cluster-name: elasticsearch
        scrape-metrics: enabled
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""